curl --request GET \
--url https://api.chainstack.com/v1/networks/ \
--header 'Authorization: Bearer <token>'{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "NW-123-456-7",
"name": "Mainnet",
"project": "PR-123-456",
"protocol": "polygon-pos",
"configuration": {
"network": "polygon-pos-mainnet"
},
"details": {},
"status": "ok",
"nodes": [
{
"id": "ND-123-456-789",
"name": "My Polygon PoS node",
"network": "NW-123-456-7",
"organization": "RG-123-456",
"type": "dedicated",
"role": "peer",
"provider": "gcloud",
"region": "asia-southeast1",
"status": "running",
"configuration": {
"archive": true
},
"details": {
"mode": "archive",
"version": "1.0.6",
"api_namespaces": [
"net",
"eth",
"web3",
"txpool",
"debug",
"parlia"
],
"graphql_endpoint": "https://nd-123-456-789.p2pify.com/graphql",
"https_endpoint": "https://nd-123-456-789.p2pify.com",
"wss_endpoint": "wss://ws-nd-123-456-789.p2pify.com",
"auth_username": "user-name",
"auth_password": "pass-word-pass-word-pass-word",
"auth_key": "3c6e0b8a9c15224a8228b9a98ca1531d"
},
"created_at": "2020-06-15T07:38:00.747Z",
"creator": {
"id": "UR-111-111-111",
"email": "john.smith@example.com",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
}
}
],
"created_at": "2020-06-15T07:38:00.747Z",
"creator": {
"id": "UR-111-111-111",
"email": "john.smith@example.com",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
}
}
]
}List every blockchain network across your Chainstack projects using the Platform API. Send a GET request to /v1/networks/ to retrieve the paginated list.
curl --request GET \
--url https://api.chainstack.com/v1/networks/ \
--header 'Authorization: Bearer <token>'{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "NW-123-456-7",
"name": "Mainnet",
"project": "PR-123-456",
"protocol": "polygon-pos",
"configuration": {
"network": "polygon-pos-mainnet"
},
"details": {},
"status": "ok",
"nodes": [
{
"id": "ND-123-456-789",
"name": "My Polygon PoS node",
"network": "NW-123-456-7",
"organization": "RG-123-456",
"type": "dedicated",
"role": "peer",
"provider": "gcloud",
"region": "asia-southeast1",
"status": "running",
"configuration": {
"archive": true
},
"details": {
"mode": "archive",
"version": "1.0.6",
"api_namespaces": [
"net",
"eth",
"web3",
"txpool",
"debug",
"parlia"
],
"graphql_endpoint": "https://nd-123-456-789.p2pify.com/graphql",
"https_endpoint": "https://nd-123-456-789.p2pify.com",
"wss_endpoint": "wss://ws-nd-123-456-789.p2pify.com",
"auth_username": "user-name",
"auth_password": "pass-word-pass-word-pass-word",
"auth_key": "3c6e0b8a9c15224a8228b9a98ca1531d"
},
"created_at": "2020-06-15T07:38:00.747Z",
"creator": {
"id": "UR-111-111-111",
"email": "john.smith@example.com",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
}
}
],
"created_at": "2020-06-15T07:38:00.747Z",
"creator": {
"id": "UR-111-111-111",
"email": "john.smith@example.com",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://chainstack-mintlify-flesh-empty-pages.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'All API requests must be made over HTTPS.
Which field to use when ordering the results.
Use the - prefix to perform descending ordering (-name).
name, created_at A page number within the paginated result set.
Filter by project ID.
Filter by name.
Filter by public network.
ethereum-mainnet, ethereum-ropsten-testnet, ethereum-rinkeby-testnet, polygon-pos-mainnet, polygon-pos-testnet, bsc-mainnet, bsc-testnet, avalanche-mainnet, avalanche-testnet, arbitrum-mainnet, arbitrum-goerli, near-mainnet, near-testnet, aurora-mainnet, aurora-testnet, gnosis-mainnet, gnosis-testnet, cronos-mainnet, cronos-testnet, fantom-mainnet, fantom-testnet, starknet-mainnet, starknet-testnet, harmony-mainnet, harmony-devnet, tezos-mainnet, tezos-testnet, fuse-mainnet, fuse-testnet, bitcoin-mainnet, bitcoin-testnet "corda-network-uat"
Filter by protocol.
Protocol.
See also Supported protocols.
ethereum, polygon-pos, bsc, avalanche, arbitrum, near, aurora, gnosis, cronos, fantom, starknet, harmony, tezos, fuse, bitcoin Filter by project type.
Type of the project.
public for public chain projectpublic Was this page helpful?